Name:           perl-Net-eBay
Version:        0.61
Release:        6%{?dist}
Summary:        Perl Interface to XML based eBay API
Group:          Development/Libraries
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/Net-eBay/
Source0:        http://search.cpan.org/CPAN/authors/id/I/IC/ICHUDOV/Net-eBay-%{version}.tar.gz
# Do no load a private IgorBusinessRules module, CPAN RT#105379
Patch0:         Net-eBay-0.61-Do-use-non-existent-IgorBusinessRules.patch

BuildArch:      noarch
BuildRequires:  coreutils
BuildRequires:  findutils
BuildRequires:  make
BuildRequires:  perl-interpreter
BuildRequires:  perl-generators
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
BuildRequires:  sed
# Run-time:
BuildRequires:  perl(Carp)
# Cwd not used at tests
BuildRequires:  perl(Data::Dumper)
BuildRequires:  perl(DateTime::Precise)
# Getopt::Long not used at tests
# HTML::FormatText not used at tests
# HTML::PrettyPrinter not used at tests
# HTML::TreeBuilder not used at tests
BuildRequires:  perl(HTTP::Date)
BuildRequires:  perl(HTTP::Request::Common)
BuildRequires:  perl(HTTP::Status)
# LWP::Protocol::https for HTTPS, not Crypt::SSLeay or Net::SSLeay,
# CPAN RT#105378
BuildRequires:  perl(LWP::Protocol::https)
BuildRequires:  perl(LWP::UserAgent)
# Text::Format not used at tests
BuildRequires:  perl(utf8)
BuildRequires:  perl(vars)
BuildRequires:  perl(XML::Dumper)
BuildRequires:  perl(XML::Simple)
# Tests:
BuildRequires:  perl(Test::More)
# Optional tests:
BuildRequires:  perl(Test::Pod) >= 1.14
# Test::Pod::Coverage 1.04 disabled, CPAN RT#97511
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
# LWP::Protocol::https for HTTPS, not Crypt::SSLeay or Net::SSLeay,
# CPAN RT#105378
Requires:       perl(LWP::Protocol::https)


%description
This module helps user to easily execute queries against eBay's XML API.


%prep
%setup -q -n Net-eBay-%{version}
%patch0 -p1
# Skip Test::Pod::Coverage tests because they are not useful and fail,
# CPAN RT#97511
rm t/pod-coverage.t
sed -i -e '/^t\/pod-coverage.t$/d' MANIFEST

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}


%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
%{_fixperms} $RPM_BUILD_ROOT

%check
make test


%files
%doc Changes README
%{_bindir}/ebay-add-item.pl
%{_bindir}/ebay-get-categories.pl
%{_bindir}/ebay-get-item.pl
%{_bindir}/ebay-official-time.pl
%{_bindir}/ebay-revise-item.pl
%{_bindir}/ebay-search.pl
%{_bindir}/ebay-validate-test-user.pl
%{perl_vendorlib}/*
%{_mandir}/man3/Net::eBay.3pm.gz


%changelog
* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.61-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Mon Jun 05 2017 Jitka Plesnikova <jplesnik@redhat.com> - 0.61-5
- Perl 5.26 rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.61-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon May 16 2016 Jitka Plesnikova <jplesnik@redhat.com> - 0.61-3
- Perl 5.24 rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.61-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jun 19 2015 Petr Pisar <ppisar@redhat.com> - 0.61-1
- 0.61 bump

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.55-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Jun 09 2015 Jitka Plesnikova <jplesnik@redhat.com> - 0.55-10
- Perl 5.22 rebuild

* Mon Sep 01 2014 Jitka Plesnikova <jplesnik@redhat.com> - 0.55-9
- Perl 5.20 rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.55-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Petr Pisar <ppisar@redhat.com> - 0.55-7
- Perl 5.18 rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.55-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.55-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.55-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jun 25 2012 Petr Pisar <ppisar@redhat.com> - 0.55-3
- Perl 5.16 rebuild
- Specify all dependencies

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.55-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sun Oct  2 2011 Tom Callaway <spot@fedoraproject.org> - 0.55-1
- update to 0.55

* Thu Jul 21 2011 Petr Sabata <contyk@redhat.com> - 0.52-8
- Perl mass rebuild

* Wed Jul 20 2011 Petr Sabata <contyk@redhat.com> - 0.52-7
- Perl mass rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.52-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Dec 21 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.52-5
- 661697 rebuild for fixing problems with vendorach/lib

* Tue May 04 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.52-4
- Mass rebuild with perl-5.12.0

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 0.52-3
- rebuild against perl 5.10.1

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.52-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sun Feb 22 2009 Xavier Bachelot <xavier@bachelot.org> - 0.52-1
- Update to 0.52.

* Sat Nov 22 2008 Xavier Bachelot <xavier@bachelot.org> - 0.51-1
- Update to 0.51.

* Tue Jul 08 2008 Xavier Bachelot <xavier@bachelot.org> - 0.50-1
- Update to 0.50.

* Thu May 22 2008 Xavier Bachelot <xavier@bachelot.org> - 0.48-1
- Update to 0.48.

* Thu Mar 06 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.46-2
- Rebuild for new perl.

* Mon Feb 04 2008 Xavier Bachelot <xavier@bachelot.org> - 0.46-1
- New upstream version.

* Fri Feb 01 2008 Xavier Bachelot <xavier@bachelot.org> - 0.45-2
- Add missing BRs.

* Tue Jan 09 2007 Xavier Bachelot <xavier@bachelot.org> - 0.45-1
- Update to 0.45.
- Clean up spec.

* Fri Dec 22 2006 Xavier Bachelot <xavier@bachelot.org> - 0.40-1
- Initial build.
